Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1232 - gnome-terminal preferences get eaten
Summary: gnome-terminal preferences get eaten
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 7.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-18 18:52 UTC by Bill Nottingham
Modified: 2014-03-17 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-08-01 16:03:46 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-02-18 18:52:09 UTC
Each time I start gnome-session, my gnome-terminal
preferences get replaced with:
[Placement]
Dock=Menubar\\0,0,0,0

Comment 1 Owen Taylor 1999-04-05 16:24:59 UTC
I can't seem to reproduce this bug - I can make changes
to the gnome-terminal configuration and they get saved
properly between sessions.

Does this still happen with the latest GNOME? Can you
give a sequence of actions to reproduce this?

Comment 2 Bill Nottingham 1999-04-07 16:33:59 UTC
If I do something so that I don't exit the session
properly (shutdown -r from an xterm, etc.), when
I next start the session, the session-management saved
ones have the right preferences, but any new ones
don't.

Comment 3 Bill Nottingham 2001-02-01 17:00:00 UTC
This is back starting with beta3. Basically, every time I come
in to work, I have to redo my preferences, even when all I
do in between is a suspend/resume cycle.

Is it tied to IP address somehow?

Comment 4 Elliot Lee 2001-02-02 19:30:02 UTC
Not IP address. I have seen it happen too, but just when I got a debugging
version compiled, it stopped happening. The first step is to be able to
consistently reproduce it without having to log out, by finding a config file
that will cause this to happen all the time.


Comment 5 rotten 2001-05-04 21:12:52 UTC
I've seen this bug appear when the /home partition has no available space.

Comment 6 Havoc Pennington 2001-07-19 23:02:45 UTC
Random theory: g-t per-session and per-class settings are simply really confusing. 

That is, I don't have ~/.gnome/gnome-terminal, just
~/.gnome/gnome-terminal-XXXXXX files. 

Anyone buy that?

I can't see a single reason g-t would lose prefs but not other apps...

Comment 7 Bill Nottingham 2002-02-19 04:12:42 UTC
Closing. I haven't seen this in a while.


Note You need to log in before you can comment on or make changes to this bug.